Show / Hide Table of Contents

# Channel<TWrite, TRead> Class

###### Namespace: Cysharp.Threading.Tasks

###### Assembly: cs.temp.dll.dll

    public abstract class Channel<TWrite, TRead>

##### Inheritance

System.Object → Channel<TWrite, TRead>

##### Derived

Channel<T>

#### Type Parameters

`TWrite`
`TRead`

### Members

#### Properties

Name | Description
--- | ---
Reader |
Writer |

#### Operators

Name | Description
--- | ---
Implicit(Channel<TWrite, TRead> to ChannelReader<TRead>) |
Implicit(Channel<TWrite, TRead> to ChannelWriter<TWrite>) |

### Properties

#### Reader

    public ChannelReader<TRead> Reader { get; protected set; }

##### Property Value

ChannelReader<TRead>

#### Writer

    public ChannelWriter<TWrite> Writer { get; protected set; }

##### Property Value

ChannelWriter<TWrite>

### Operators

#### Implicit(Channel<TWrite, TRead> to ChannelReader<TRead>)

    public static implicit operator ChannelReader<TRead>(Channel<TWrite, TRead> channel)

##### Parameters

`channel` Channel<TWrite, TRead>

##### Returns

ChannelReader<TRead>

#### Implicit(Channel<TWrite, TRead> to ChannelWriter<TWrite>)

    public static implicit operator ChannelWriter<TWrite>(Channel<TWrite, TRead> channel)

##### Parameters

`channel` Channel<TWrite, TRead>

##### Returns

ChannelWriter<TWrite>